Get web agent UI settings
curl --request GET \
--url https://api.cleartalk.ai/web-agent/{id}/web-settings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.cleartalk.ai/web-agent/{id}/web-settings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.cleartalk.ai/web-agent/{id}/web-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Web agent settings retrieved successfully",
"data": {
"id": 123,
"web_agent_id": "<string>",
"button_text": "<string>",
"button_background_color": "<string>",
"text_color": "<string>",
"font_size": "<string>",
"button_hover_background_color": "<string>",
"border_radius": "<string>",
"show_avatar": true,
"avatar_image_url": "<string>",
"icon_color": "<string>",
"container_background_color": "<string>",
"base_url_for_embed": "<string>",
"generated_iframe_url": "<string>",
"iframe_embed_code": "<string>",
"mobile_logo_url": "<string>",
"mobile_brand_name": "<string>",
"mobile_brand_tagline": "<string>",
"mobile_logo_position": "<string>",
"mobile_brand_name_position": "<string>",
"mobile_background_color": "<string>",
"mobile_gradient_start_color": "<string>",
"mobile_gradient_end_color": "<string>",
"mobile_text_color": "<string>",
"mobile_secondary_text_color": "<string>",
"mobile_answer_button_color": "<string>",
"mobile_end_button_color": "<string>",
"mobile_slide_bar_color": "<string>",
"mobile_slide_bar_opacity": "<string>",
"mobile_remember_me_icon": "<string>",
"mobile_message_icon": "<string>",
"mobile_phone_icon": "<string>",
"mobile_end_call_icon": "<string>",
"mobile_remind_me_text": "<string>",
"mobile_message_text": "<string>",
"mobile_slide_to_answer_text": "<string>",
"mobile_base_url_for_embed": "<string>",
"mobile_generated_iframe_url": "<string>",
"mobile_iframe_embed_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Web Agent
Get web agent UI settings
GET
/
web-agent
/
{id}
/
web-settings
Get web agent UI settings
Authorizations
API Key for authentication
Path Parameters
The ID of the web agent
⌘I
